local addonName, player = ...
local Loc = LibStub("AceLocale-3.0"):GetLocale(addonName)

function getMaxPlayerLevel()
    return string.format(Loc["TOGGLE_LEVEL"], GetMaxPlayerLevel())
end

function clearTade()
    for i = 1, MAX_TRADABLE_ITEMS do
        ClearCursor()
        ClickTradeButton(i)
    end
    ClearCursor()
    ButtonInitialize()
end

function tradePosition()
    for i = 1, MAX_TRADABLE_ITEMS do
        if GetTradePlayerItemLink(i) == nil then
            return i
        end
    end
end

function fillTrade(stack, item)
    for i = 1, stack do
        fillTradeWindow(item, tradePosition())
    end
end

function groupCondition()
    if IsInRaid() then
        return { ["status"] = "raid" }
    elseif IsInGroup() then
        return { ["status"] = "party" }
    else
        return { ["status"] = "solo" }
    end
end

function getItemColor(quality, item)
    local _, _, _, hex = GetItemQualityColor(quality)

    return "|c" .. hex .. item .. "|r"
end

function getName()
    local class = player.class.file
    local _, _, _, argbHex = GetClassColor(class)

    if class == "SHAMAN" then
        argbHex = "FF0070DE"
    end

    return "|c".. argbHex .. player.name .. "|r"
end

function setColor(text, color)
    return "|cFF"..color..text.."|r"
end

function setName(name, classFile)
    local _, _, _, argbHex = GetClassColor(classFile)

    if classFile == "SHAMAN" then
        argbHex = "FF0070DE"
    end

    return "|c".. argbHex .. name .. "|r"
end

function setClass(classFile)
    local className = LOCALIZED_CLASS_NAMES_MALE[classFile]
    local _, _, _, argbHex = GetClassColor(classFile)

    if classFile == "SHAMAN" then
        argbHex = "FF0070DE"
    end

    return "|c" .. argbHex .. className .. "|r"
end